/* 
  ==================================================
    Typography
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  h1, h2, h3, h4, h5, h6,
  .h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    line-height: 1;
    letter-spacing: .01em;
    [data-ico] {
      position: relative;
      &:before {
        position: absolute;
        font-size: .75em;
        right: 0;
        top: 0;
        color: @cYellow;
        margin: -.75em -2.25em 0 0;
      }
    }
  }
    h1, .h1 {
      font-size: 5.7em;
      @media screen {
        @media (max-width: 640px) {
          font-size: 3.8em;
        }
      }
    }
    h2, .h2 {
      font-size: 2.85em;
      font-weight: 600;
      text-transform: uppercase;
      letter-spacing: .02em;
    }
    h3, .h3 {
      font-size: 2.5em;
      font-weight: 600;
      text-transform: uppercase;
    }
    h4, .h4 {
      font-size: 2.15em;
      font-weight: 600;
      text-transform: uppercase;
    }
    h5, .h5 {
      font-size: 1.4em;
      font-weight: 600;
    }
    h6, .h6 {
      font-size: 1.15em;
      line-height: 1.4;
      font-weight: 400;
    }
  hgroup {
    margin: 1.5em 0;
    h5, .h5 {
      & + h4, .h4 {
        margin-top: .4em;
      }
    }
  }
  
  a:not(@{buttonClass}) {
    text-decoration: none;
    transition: color @transitionDuration;
    outline: none;
  }
  p {
    margin: 0 0 1.6em;
    &:last-of-type {
      margin-bottom: 0;
    }
    a:not(@{buttonClass}) {
      color: @cBlack;
      border-bottom: 1px solid darken(@cGray, 18%);
      transition: color ease @transitionDuration, border-color ease @transitionDuration;
      &:hover {
        color: darken(@cGray, 18%);
        border-bottom-color: transparent;
      }
    }
  }
  small {
    font-size: .75em;
  }
  b, strong {
    font-weight: 600;
  }
  abbr[title] {
    text-decoration: none;
    border: none;
  }
  ul {
    &.breadcrumbs {
      overflow: hidden;
      margin: 0;
      padding: 0;
      font-size: 1.2em;
      font-weight: 600;
      list-style: none;
      li {
        float: left;
        &:not(:last-of-type) {
          margin: 0 2em 0 0;
        }
        &:not(:first-of-type) {
          position: relative;
          padding: 0 0 0 2em;
          &:before {
            content: '\E013';
            color: @cYellow;
            font-family: ico;
            position: absolute;
            top: 50%;
            left: -.5em;
            margin: -.5em 0 0;
            width: 1em;
            height: 1em;
            font-size: .8em;
            line-height: 1;
          }
        }
        a {
          color: @cWhite;
          &:hover, &.active {
            color: @cYellow;
          }
        }
      }
    }
    &.control {
      &--list {
        display: flex;
        flex-flow: wrap row;
        margin: 0;
        padding: 0;
        list-style: none;
        li {
          text-align: center;
          .sub-title {
            display: block;
            margin: 1.25em 0 0;
            color: darken(@cGray, 18%);
            font-size: .85em;
          }
          @media screen {
            @media (min-width: 641px) {
              &:not(:first-of-type) {
                margin: 0 0 0 2.44em;
              }
            }
            @media (max-width: 640px) {
              flex: 1 1 100%;
              &:not(:first-of-type) {
                margin: 1.44em 0 0;
              }
            }
          }
        }
      }
    }
    &.social {
      @padding: .5em;

      &--list {
        display: flex;
        margin: 0 -@padding;
        padding: 0;
        font-size: 18px;
        list-style: none;
        li {
          &:not(:first-of-type) {
            margin: 0 0 0 1em;
          }
          a {
            display: block;
            padding: @padding;
            color: @cYellowDark;
            &:hover {
              color: @cWhite;
            }
          }
        }
      }
    }
    &.payment-methods {
      .setMethodProperties(@width, @height, @x: 0, @y: 0) {
        background-position: @x + 0px @y + 0px;
        width: @width + 0px;
        height: @height + 0px;
      }

      display: flex;
      align-items: center;
      flex-flow: wrap row;
      margin: 0;
      padding: 0;
      list-style: none;
      li {
        background: data-uri('image/png;base64', '@{imagePath}payment-methods.png') no-repeat scroll transparent;
        margin: 0 20px 20px 0;
        &.mastercard {
          .setMethodProperties(150, 28, 0, 0);
        }
        &.visa {
          .setMethodProperties(72, 28, -150, 0);
        }
        &.skrill {
          .setMethodProperties(78, 28, -220, 0);
        }
        &.bank-transfer {
          .setMethodProperties(94, 42, 0, -28);
        }
        &.union-pay {
          .setMethodProperties(64, 42, -94, -28);
        }
        &.neteller {
          .setMethodProperties(106, 28, -296, 0);
        }
      }
    }
  }

  .tc {
    &-gray {
      color: darken(@cGray, 18%);
    }
    &-yellow {
      color: @cYellow;
    }
    &-red {
      color: @cRed;
    }
    &-white {
      color: @cWhite;
    }
  }
  .ta {
    &-center {
      text-align: center;
    }
  }
  .tt {
    &-uppercase {
      text-transform: uppercase;
    }
  }
